ApiContent studio v2
Select article title from suggestions
Select a title from the generated suggestions, enter a custom title, or skip to keep the original.
AuthorizationBearer <token>
In: header
Path Parameters
domainId*string
Domain ID
briefId*string
Brief ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/domains/string/content-briefs/string/select-title" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"keyword": "best running shoes",
"market": "US",
"language": "en",
"targetArticleTitle": "How to choose running shoes",
"status": "completed",
"kanbanStatus": "briefs",
"currentStep": 14,
"totalSteps": 14,
"currentStepName": "title_suggestions",
"detectedArticleType": "guide",
"createdAt": "2026-05-25T10:30:00.000Z",
"completedAt": "2026-05-25T10:35:00.000Z",
"errorMessage": "SERP provider returned no results",
"autopilotMode": false,
"fromContentGap": true,
"domainId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"organizationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"serpData": {
"organic": [
{
"position": 1,
"url": "https://nike.com/air-max",
"title": "Nike Air Max"
}
]
},
"searchIntent": {
"intent": "informational",
"confidence": 0.92
},
"personas": {
"primary": "First-time marathon runner",
"age": "25-34"
},
"keywordVolumes": {
"best running shoes": 27000,
"running shoes for flat feet": 8100
},
"scrapedPages": [
{
"url": "https://nike.com/air-max",
"wordCount": 1840
}
],
"articleTypeDetection": {
"type": "guide",
"confidence": 0.88
},
"faqDetection": {
"hasFaq": true,
"questions": [
"How do I pick the right size?"
]
},
"titleAnalyses": [
{
"title": "How to choose running shoes",
"score": 0.81
}
],
"filteredTitles": {
"kept": [
"How to choose running shoes"
],
"removed": [
"Buy shoes now"
]
},
"gapScan": {
"gaps": [
"Trail running",
"Pronation guide"
]
},
"topicClustering": {
"clusters": [
{
"name": "Cushioning",
"size": 5
}
]
},
"titleOrdering": {
"order": [
"How to choose running shoes",
"Best running shoes 2026"
]
},
"topicAlignment": {
"aligned": true,
"coverage": 0.76
},
"titleSuggestions": {
"suggestions": [
"How to choose running shoes",
"Running shoe buying guide 2026"
]
},
"preBriefResearch": {
"commonTopics": [
"cushioning",
"arch support"
],
"keywordCount": 48
},
"metadata": {
"source": "content-gap",
"requestedBy": "jane.doe@acme.com"
},
"gapInsights": {
"topGap": "Trail running",
"percentage": 42
}
}Empty
Empty
Empty